pam_timestamp_check(8)

NAME
pam_timestamp_check - check or clear authentication timestamps

SYNOPSIS
pam_timestamp_check [[-d]|[-k]] [target_user]

DESCRIPTION
With no arguments, pam_timestamp_check will check to see if the default timestamp is valid, or optionally remove it.

OPTIONS

-k  instead of checking the validity of a timestamp, remove it. This is analogous to sudo's -k option.

-d  Instead of returning validity using an exit status, loop indefinitely, polling regularly and printing the status on standard output.

target_user
    The default behavior of pam_timestamp_check checks or removes timestamps generated by pam_timestamp when the user authenticates as herself. When the user authenticates as a different user, the name of the timestamp file changes to accomodate this.

DIAGNOSTICS
When checking if a timestamp is valid, pam_timestamp_check returns an exit code of 0 for success and > 0 on error:
2: binary is not setuid-root
3: invalid invocation
4: user unknown
5: permissions error
6: invalid controlling tty
7: other error

SEE ALSO
pam_timestamp(8)

BUGS
Let's hope not, but if you find any, please email the author.

AUTHOR
Nalin Dahyabhai <nalin@redhat.com>